Subject: Re: [bug#65280] [PATCH 01/26] gnu: qt: Revert to use individual versions instead of %qt5-version.

From: Andreas Enge <[email-masked]>
Date: Thu, 17 Aug 2023 12:51:15 +0200

Hello,

Am Mon, Aug 14, 2023 at 12:29:11AM -0400 schrieb Maxim Cournoyer:
> Rationale: using a variable for the version field currently hinders automatic
> upgrades via 'guix refresh':
>    qtbase: no `version' field in source; skipping

could this not be considered a bug in "guix refresh"? For updating, I find
it much clearer to keep the version in one place and then bump it with a
one-line commit to try a comprehensive upgrade.

I do not know how it works inside Guile, but I really thought the two
would be completely equivalent and create the exact same package object,
which would then be analysed by "guix refresh".

Andreas